## org.apache.mahout.clustering
Interface GaussianAccumulator

All Known Implementing Classes:
  OnlineGaussianAccumulator, RunningSumsGaussianAccumulator

    public interface GaussianAccumulator

Method Summary
`void` `compute()` Compute the mean, variance and standard deviation
`double` `getAverageStd()`
`Vector` `getMean()`
`double` `getN()`
`Vector` `getStd()`
`Vector` `getVariance()`
`void` `observe(Vector x, double weight)` Observe the vector

Method Detail

### getN

    double getN()

  Returns:
    the number of observations

### getMean

    Vector getMean()

  Returns:
    the mean of the observations

### getStd

    Vector getStd()

  Returns:
    the std of the observations

### getAverageStd

    double getAverageStd()

  Returns:
    the average of the vector std elements

### getVariance

    Vector getVariance()

  Returns:
    the variance of the observations

### observe

    void observe(Vector x,
                 double weight)

  Observe the vector

  Parameters:
    `x` - a Vector
    `weight` - the double observation weight (usually 1.0)

### compute

    void compute()

  Compute the mean, variance and standard deviation

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.